Authorization: Bearer <access_token>{
"user_id": "string",
"new_mobile_number": "string",
"activation_code": "string"
}user_id – Unique identifier of the logged-in usernew_mobile_number – New mobile number to be associated with the accountactivation_code – One-time activation code sent to the new mobile number for verificationsuccess string is returned confirming the mobile number change/auth-service/send/validation/code with the proper mode.Changes a user’s mobile number after validating an activation code sent to the new mobile number.
curl --location --request POST 'https://appfloor.in/auth-service/change/mobile' \
--header 'Authorization: Bearer <token>' \
--form 'new_mobile_number=""' \
--form 'activation_code=""'"error": {
"code": "XF_VALIDATION_ERROR",
"message": "The user details does not exist",
"path": "/auth-service/change/mobile",
"timestamp": "2026-01-12T08:11:59.993079561Z"
}